I have no idea how many (few) people out there have run into this particular problem… surely not many… but if you’re like me and need to develop for Nodus¬†eStore Advantage 1.56 but can’t install it on your Windows 7 workstation, there’s good news!

Repeated attempts to install eStoreAdvantage1.56.1.exe resulted in a non-descript error.

Nodus couldn’t give us any useful suggestions. Granted, 1.56 ain’t the latest version, but they weren’t really too interested. So, we plugged away at it… and finally, a solution!

It’s annoyingly simple:

  1. Fire up Control Panel > Programs and Features.
  2. Click the “Turn Windows Features on or off” link to the left of the “Programs and Features” window.
  3. Expand the tree: Internet Information Services > Web Management Tools > IIS 6 Management Compatibility.
  4. Now put a checkmark in the checkbox for “IIS Metabase and IIS 6 configuration compatibility”.
  5. Click OK.

That’s it. We didn’t even need to reboot. The installation of Nodus 1.56 should now succeed!!